> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to retrieve all custom template actions available in a workspace.

# Gets all custom template actions in a workspace



## OpenAPI

````yaml get /workspace/{ws_id}/action_template
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/action_template:
    get:
      tags:
        - Action Templates
      summary: Gets all custom template actions in a workspace
      description: >-
        Gets all custom template actions in the specified workspace with their
        metadata and YAML definition
      operationId: GetCustomActions
      parameters:
        - name: ws_id
          in: path
          description: workspace ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/api_responses.ResponseWrapper'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: >-
                            #/components/schemas/api_responses.CustomActionResponse
        '400':
          description: Invalid workspace ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '500':
          description: Failed to retrieve custom actions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api_responses.ResponseWrapper:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        results:
          type: object
        total:
          type: integer
    api_responses.CustomActionResponse:
      type: object
      properties:
        action_full_name:
          type: string
        connection_types:
          type: array
          items:
            type: string
        id:
          type: string
        inputs:
          $ref: '#/components/schemas/step_inputs.StepInputs'
        template_collection_id:
          type: string
        template_description:
          type: string
        template_display_name:
          type: string
        template_yaml:
          type: string
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
    step_inputs.StepInputs:
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````